"use strict";

var fs = require('fs');

var _require = require('./constants'),
    isWin = _require.isWin;
/**
 * Strips \r character from the file content if the host OS is windows
 *
 * @param {String[]} fileContent - The file content
 * @returns {String[]}
 */


var stripChar = function stripChar(fileContent) {
  return fileContent.map(function (content) {
    return content.includes('\r') ? content.substr(0, content.indexOf('\r')) : content;
  });
};
/**
 * Returns the file content as an arrray
 *
 * @param {String} filePath - The file path
 * @returns {String[]}
 */


var readFileContent = function readFileContent(filePath) {
  var fileContent = fs.readFileSync(filePath, 'utf8').split('\n'); // Check if the host OS is windows

  if (isWin) {
    return stripChar(fileContent);
  }

  return fileContent;
};

module.exports = readFileContent;